# Official framework image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/node/tags/
image: node:16.18.0-slim

publish:
  stage: deploy
  only:
    - tags
  script:
    - echo "//registry.npmjs.org/:_authToken=$NPM_TOKEN">.npmrc
    - npm publish --access public

# This job is required for GitLab Pages
pages:
    stage: deploy
    only:
    - tags
    # Export storybook as a static site (to public)
    script:
      - npm install --no-audit --silent
      - npm run build-storybook
    # Required artifact for GitLab Pages
    artifacts:
        paths:
          - public